% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LearnerMain.R
\name{.get_default_sign_size}
\alias{.get_default_sign_size}
\title{Internal function for obtaining a default signature size parameter}
\usage{
.get_default_sign_size(data_obj, restrict_samples = FALSE)
}
\arguments{
\item{data_obj}{dataObject class object which contains the data on which the
preset parameters are determined.}

\item{restrict_samples}{Logical indicating whether the signature size should
be limited by the number of samples in addition to the number of available
features. This may help convergence of OLS-based methods.}

\item{outcome_type}{Type of oucome. Default settings are determined, among
others by the the outcome type. For example, one default signature size
depends on the number of events for \code{survival} outcomes, based on rules of
thumb.}
}
\value{
List containing the preset values for the signature size parameter.
}
\description{
Internal function for obtaining a default signature size parameter
}
\keyword{internal}
